# InlineQueryResultVenue - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult / InlineQueryResultVenue

# InlineQueryResultVenue

(common) `data class InlineQueryResultVenue : InlineQueryResult, Locationed, CommonVenueData, TitledInlineQueryResult, WithInputMessageContentInlineQueryResult, ThumbedInlineQueryResult, ThumbSizedInlineQueryResult` (source)

### Constructors

(common)

#### <init>

`InlineQueryResultVenue(id: String, latitude: Double, longitude: Double, title: String, address: String, foursquareId: String? = null, foursquareType: String? = null, thumbUrl: String? = null, thumbWidth: Int? = null, thumbHeight: Int? = null, replyMarkup: InlineKeyboardMarkup? = null, inputMessageContent: InputMessageContent? = null)`

### Properties

(common)

#### address

`val address: String`

(common)

#### foursquareId

`val foursquareId: String?`

(common)

#### foursquareType

`val foursquareType: String?`

(common)

#### id

`val id: String`

(common)

#### inputMessageContent

`val inputMessageContent: InputMessageContent?`

(common)

#### latitude

`val latitude: Double`

(common)

#### longitude

`val longitude: Double`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### thumbHeight

`val thumbHeight: Int?`

(common)

#### thumbUrl

`val thumbUrl: String?`

(common)

#### thumbWidth

`val thumbWidth: Int?`

(common)

#### title

`val title: String`

(common)

#### type

`val type: String`